Skip to main content
POST
/
v2
/
CreateCategory
Creates a new Category.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/CreateCategory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "sortNumber": 123,
  "name": "<string>"
}
'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Creates a new Category. - Request

parentId
string<uuid>

The parent category of the category.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

sortNumber
integer<int32>

The sort number of the category.

name
string

The category name.

Response

Category was successfully created